## python-qnapstats 0.6.0

=== requirements.txt ===
requests
xmltodict>=0.10.0

## python-qnapstats 0.5.0

=== debian/changelog ===
python-qnapstats (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:47:04 +0900

python-qnapstats (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076807)

 -- Edward Betts <edward@4angle.com>  Wed, 24 Jul 2024 13:25:22 +0900

=== debian/control ===
Source: python-qnapstats
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-requests <!nocheck>,
               python3-responses <!nocheck>,
               python3-setuptools,
               python3-xmltodict <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/colinodell/python-qnapstats
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qnapstats
Vcs-Git: https://salsa.debian.org/python-team/packages/python-qnapstats.git

Package: python3-qnapstats
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python API for accessing QNAP NAS system statistics
 This library provides a Python interface to retrieve system information from
 QNAP NAS devices. It allows for the extraction of comprehensive system
 statistics, including health data, disk information, network bandwidth usage,
 and more.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qnapstats

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf qnapstats.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-qnapstats-$1\.tar\.gz/ \
  https://github.com/colinodell/python-qnapstats/tags .*/v?(\d\S+)\.tar\.gz

## python-qnapstats 0.6.0

=== debian/changelog ===
python-qnapstats (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 28 Jun 2025 22:14:56 +0100

=== debian/control ===
Source: python-qnapstats
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-requests <!nocheck>,
 python3-responses <!nocheck>,
 python3-setuptools,
 python3-xmltodict <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/colinodell/python-qnapstats
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qnapstats
Vcs-Git: https://salsa.debian.org/python-team/packages/python-qnapstats.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-qnapstats
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for accessing QNAP NAS system statistics
 This library provides a Python interface to retrieve system information from
 QNAP NAS devices. It allows for the extraction of comprehensive system
 statistics, including health data, disk information, network bandwidth usage,
 and more.

=== debian/watch ===
version=4
https://github.com/colinodell/python-qnapstats/tags .*/v?(\d\S+)\.tar\.gz
